Bug 322311 - Suspend "killed" my built-in laptop monitor
Suspend "killed" my built-in laptop monitor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 12:47 EDT by Espen Stefansen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 09:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12728 None None None Never

  None (edit)
Description Espen Stefansen 2007-10-07 12:47:02 EDT
Description of problem:
I got a Dell D630 and it went into suspend. When it tried to come back, the
screen went kinda blank (usually white with random grey strips). It stood like
that for 10-15-minutes without anything happening. when rebooted it, even the
bios, grub, linux and windows goes blank. 

it looks like everything is booting fine except that u can't see anything.

Through ssh i can see that neither xrandr nor xorg can find any display. but
lspci finds it. so it looks like it just got turned off!

Running system-config-display doesn't help either. It just hangs.

Version-Release number of selected component (if applicable):
kernel-2.6.23-0.222.rc9.git4.fc8
xorg-x11-drv-i810-2.1.1-4.fc8

How reproducible:
It happens on every reboot.

Steps to Reproduce:
1. close lid on laptop
2. open lid
3.
  
Actual results:
Screen goes blank! no matter what... computer is useless.

Expected results:
display should work

Additional info:
lspci -vvv

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA])
        Subsystem: Dell Unknown device 01f9
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at fea00000 (64-bit, non-prefetchable) [size=1M]
        Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at eff8 [size=8]
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable-
                Address: 00000000  Data: 0000
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
                Bridge: PM- B3+

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)
        Subsystem: Dell Unknown device 01f9
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Region 0: Memory at feb00000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
                Bridge: PM- B3+
Comment 1 Espen Stefansen 2007-10-07 15:40:17 EDT
I just connected an external monitor to the laptop, and it works fine. It now
recognizes both monitors, but if i now try to use both the external monitor and
the laptop monitor, the laptop one goes blank again. If i try to move a window
or something on to the laptop screen, nothing "moves" on it. So it looks like
the laptop monitor is busted because of suspend. Every time the laptop monitor
is supposed to show something, it just gets blank (or white with grey strips).
Comment 2 Espen Stefansen 2007-10-08 09:13:40 EDT
I just talked to Dell support and they actually decided to replace the laptop-
lcd! It's not good that closing the lid on a laptop on batteries might actually 
"kill" the lcd, when opening the lcd and trying to resume.
Comment 3 Espen Stefansen 2007-10-14 09:21:39 EDT
Ok... Dell has now replaced the lcd, so i won't be able to test any fixes. But
according to the bugzilla at freedesktop.org, they are aware of the problem.

So i'm closing this as "insufficient data".

Note You need to log in before you can comment on or make changes to this bug.